Provider Notes
This section contains endpoint-specific behavior, parameters, or usage notes for this API. Official Documentation
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/video-generation/video-synthesis'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "wanx2.1-vace-plus",
"input": {
"function": "video_repainting",
"prompt": "Example prompt from provider documentation.",
"video_url": "http://wanx.alicdn.com/material/20250318/video_repainting_1.mp4"
},
"parameters": {
"prompt_extend": false,
"control_condition": "depth"
}
}'This section contains endpoint-specific behavior, parameters, or usage notes for this API.
## If you use the China North 2 (Beijing) model region, replace the URL with: {{BASE_URL}}/qwen/api/v1/services/aigc/video-generation/video-synthesis
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/video-generation/video-synthesis'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "wanx2.1-vace-plus",
"input": {
"function": "video_edit",
"prompt": "Example prompt from provider documentation.",
"mask_image_url": "http://wanx.alicdn.com/material/20250318/video_edit_1_mask.png",
"video_url": "http://wanx.alicdn.com/material/20250318/video_edit_2.mp4",
"mask_frame_id": 1
},
"parameters": {
"prompt_extend": false,
"mask_type": "tracking",
"expand_ratio": 0.05
}
}'## If you use the China North 2 (Beijing) model region, replace the URL with: {{BASE_URL}}/qwen/api/v1/services/aigc/video-generation/video-synthesis
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/video-generation/video-synthesis'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "wanx2.1-vace-plus",
"input": {
"function": "video_extension",
"prompt": "Example prompt from provider documentation.",
"first_clip_url": "http://wanx.alicdn.com/material/20250318/video_extension_1.mp4"
},
"parameters": {
"prompt_extend": false
}
}'This section contains endpoint-specific behavior, parameters, or usage notes for this API.
## If you use the China North 2 (Beijing) model region, replace the URL with: {{BASE_URL}}/qwen/api/v1/services/aigc/video-generation/video-synthesis
curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/video-generation/video-synthesis'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "wanx2.1-vace-plus",
"input": {
"function": "video_outpainting",
"prompt": "Example prompt from provider documentation.",
"video_url": "http://wanx.alicdn.com/material/20250318/video_outpainting_1.mp4"
},
"parameters": {
"prompt_extend": false,
"top_scale": 1.5,
"bottom_scale": 1.5,
"left_scale": 1.5,
"right_scale": 1.5
}
}'This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl -X GET {{BASE_URL}}/qwen/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxx
--header "Authorization: Bearer $DASHSCOPE_API_KEY"This section contains endpoint-specific behavior, parameters, or usage notes for this API.
{
"request_id": "851985d0-fbba-9d8d-a17a-xxxxxx",
"output": {
"task_id": "208e2fd1-fcb4-4adf-9fcc-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-05-15 16:14:44.723",
"scheduled_time": "2025-05-15 16:14:44.750",
"end_time": "2025-05-15 16:20:09.389",
"video_url": "https://dashscope-result-wlcb.oss-cn-wulanchabu.aliyuncs.com/xxx.mp4?xxxxxx",
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
},
"usage": {
"video_duration": 5,
"video_ratio": "standard",
"video_count": 1
}
}Available Models
| Model Name | Provider note | Provider note |
|---|---|---|
| wanx2.1-vace-plus | Provider note | Provider note |